Subject: bug#23570: 25.1.50; Cursor motion error with visual-line-mode

From: John Wiegley <[email-masked]>
Date: Sun, 22 May 2016 23:49:10 -0700

>>>>> Eli Zaretskii <[email-masked]> writes:

>> FWIW, I think the fix ought to be considered for the emacs-25 branch, since
>> (i) it is a regression relative to Emacs 24.4, and (ii) it is quite simple
>> to trigger on natural-language text with long lines, which should be
>> considered a common use-case.

> I considered that, but since the release is imminent, I was uneasy to put
> such low-level changes in basic functionality in the release.

> John, would you please provide a second opinion here?

This should wait for 25.2. It's a cursor motion error, not data loss, and
these sorts of low-level changes are too much at this point.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2